(function ($) {
	"use strict";
	document.addEventListener('DOMContentLoaded', function () {
		var nxt_adminBar = {
			init : function () {
				this.createMenu(NexterAdminBar)
				var nxtEdit_admin = jQuery('#wp-admin-bar-nxt_edit_template');
				
				nxtEdit_admin.addClass('menupop');
				nxtEdit_admin.on( "mouseenter", function() {
					jQuery(this).addClass('hover');
				})
				.on( "mouseleave", function() {
					jQuery(this).removeClass('hover');
				});
			},
			createMenu : function(admnBar){
				var nexterList = '',
					otherList = '';
				if(admnBar!=''){
					var data = admnBar.nxt_edit_template
					
					$.each(data, function(i, item) {
						var type = (data[i].post_type=='nxt_builder') ? data[i].nexter_type : data[i].post_type_name;
						if(data[i].post_type=='nxt_builder'){
							nexterList += '<li id="wp-admin-bar-'+data[i].id+'" class="nxt-admin-submenu nxt-admin-'+data[i].id+'">';
								nexterList += '<a class="ab-item nxt-admin-sub-item" href="'+data[i].edit_url+'" >';
								nexterList += '<span class="nxt-admin-item-title">'+data[i].title+'</span><span class="nxt-admin-item-type">'+type+'</span>';
							nexterList += '</a>';
							nexterList += '</li>';
						}else{
							otherList += '<li id="wp-admin-bar-'+data[i].id+'" class="nxt-admin-submenu nxt-admin-'+data[i].id+'">';
								otherList += '<a class="ab-item nxt-admin-sub-item" href="'+data[i].edit_url+'" >';
								otherList += '<span class="nxt-admin-item-title">'+data[i].title+'</span><span class="nxt-admin-item-type">'+type+'</span>';
							otherList += '</a>';
							otherList += '</li>';
						}
					});
				}
				var nxtList = '',
					loopList = '';
				if(otherList){
					loopList = '<ul id="wp-admin-bar-nxt_edit_template" class="ab-submenu">'+otherList+'</ul>';
				}
				if(nexterList){
					nxtList = '<ul id="wp-admin-bar-nxt_edit_template" class="ab-submenu nxt-edit-nexter">'+nexterList+'</ul>';
				}
				if(nexterList || otherList){
					var itemList = '<div class="ab-sub-wrapper">'+loopList+nxtList+'</div>';
					jQuery('.nxt_edit_template').append(itemList);
				}else{
					jQuery('#wp-admin-bar-nxt_edit_template').hide();
				}
			},
		}
		nxt_adminBar.init();
	});
})(window.jQuery);
